def generate_random_string
  (0...8).map { (65 + rand(26)).chr }.join
end

RSpec.configure do |config|
  config.before(:each) do
    allow_any_instance_of(KarrierWave::Client).to receive_messages(
      store: { 'access_key' => generate_random_string },
      status: { 'msg' => '', 'code' => 200, 'percent' => 100 },
      info: [
        { 'filename' => 'img.png', 'length' => 33859, 'content_type' => 'image/png' },
        { 'filename' => 'img_xl.jpg', 'length' => 20746, 'content_type' => 'image/jpeg' },
        { 'filename' => 'meta.json', 'length' => 206, 'content_type' => 'text/json' }
      ],
      meta: {
        'original' => {'filename' => 'img.png', 'length' => 33859, 'content_type' => 'image/png', 'width' => 442, 'height' => 247 },
        'xlarge' => { 'filename' => 'img_xl.jpg', 'length' => 20746, 'content_type' => 'image/jpeg', 'width' => 442, 'height' => 247 }
      }
    )
  end
end
